aboutsummaryrefslogtreecommitdiffhomepage
path: root/src
diff options
context:
space:
mode:
authorGravatar Tobias Werth <twerth@google.com>2016-09-12 09:09:45 +0000
committerGravatar Dmitry Lomov <dslomov@google.com>2016-09-12 10:43:56 +0000
commitf33e8c0ee7ee7582b1b65d6a847b53dec122e5c9 (patch)
tree5e297d366f3d9315eb2cc82bcc7fa273d0d9cd36 /src
parent6e41ee98a0d606a4d659ca0337b14d31c0ced723 (diff)
Open-source startup_options_test.
-- MOS_MIGRATED_REVID=132852747
Diffstat (limited to 'src')
-rw-r--r--src/test/shell/integration/BUILD7
-rwxr-xr-xsrc/test/shell/integration/startup_options_test.sh37
2 files changed, 44 insertions, 0 deletions
diff --git a/src/test/shell/integration/BUILD b/src/test/shell/integration/BUILD
index c9135a251e..2a8269f2e0 100644
--- a/src/test/shell/integration/BUILD
+++ b/src/test/shell/integration/BUILD
@@ -40,6 +40,13 @@ sh_test(
)
sh_test(
+ name = "startup_options_test",
+ size = "small",
+ srcs = ["startup_options_test.sh"],
+ data = [":test-deps"],
+)
+
+sh_test(
name = "ui_test",
size = "medium",
srcs = ["ui_test.sh"],
diff --git a/src/test/shell/integration/startup_options_test.sh b/src/test/shell/integration/startup_options_test.sh
new file mode 100755
index 0000000000..464a0db8be
--- /dev/null
+++ b/src/test/shell/integration/startup_options_test.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Copyright 2016 The Bazel Authors. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Test of Bazel's startup option handling.
+
+# Load test environment
+source $(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/testenv.sh \
+ || { echo "testenv.sh not found!" >&2; exit 1; }
+
+put_bazel_on_path
+create_and_cd_client
+write_default_bazelrc
+
+function test_different_startup_options() {
+ pid=$(bazel info server_pid 2> $TEST_log)
+ [[ -n $pid ]] || fail "Couldn't run bazel"
+ newpid=$(blaze --batch info server_pid 2> $TEST_log)
+ expect_log "WARNING: Running B\\(azel\\|laze\\) server needs to be killed, because the startup options are different."
+ [[ "$newpid" != "$pid" ]] || fail "pid $pid was the same!"
+ kill -0 $pid 2> /dev/null && fail "$pid not dead"
+ kill -0 $newpid 2> /dev/null && fail "$newpid not dead"
+}
+
+run_suite "bazel startup options test"